petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDAGetBoundingBox

Returns the global bounding box for the DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetBoundingBox(DM dm,PetscReal gmin[],PetscReal gmax[])

Collective on DMDA

### Input Parameter

dm -the DM

### Output Parameters

| gmin | - global minimum coordinates (length dim, optional)
| gmax | - global maximim coordinates (length dim, optional)

### Keywords

distributed array, get, coordinates

### See Also

DMDAGetCoordinateDA(), DMGetCoordinates(), DMDAGetLocalBoundingBox()

Level:beginner
Location:src/dm/impls/da/dacorn.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html